<script>
import {useLayout} from '@/layout/composables/layout';
import {ref, computed} from 'vue';
import AppConfig from '@/layout/AppConfig.vue';
import {HOST_API} from "@/vars";

const {layoutConfig} = useLayout();
const checked = ref(false);


export default {
  data: () => ({
    username: 'joseA',
    password_show: false,
    password: 'jose123.',
  }),

  computed: {
    // a computed getter
    logoUrl() {
      // `this` points to the component instance
      return `layout/images/${layoutConfig.darkTheme.value ? 'logo-white' : 'logo-dark'}.svg`
    }
  },
  methods: {
    submit() {
      this.onLogin()
    },
    onLogin() {
      fetch(HOST_API + '/api/token/', {
        method: 'POST',
        body: JSON.stringify({username: this.username, password: this.password}),
        headers: {
          'Content-Type': 'application/json'
        }
      }).then(res => res.json())
          .catch(error => console.error('Error:', error))
          .then(response => {
            this.$store.state.authentication = response;
            this.$store.commit('login');
            this.$router.push({name: 'dashboard'});
          });
    },
  },
}


</script>

<template>
  <div class="surface-ground flex align-items-center justify-content-center min-h-screen min-w-screen overflow-hidden">
    <div class="flex flex-column align-items-center justify-content-center">
      <img :src="logoUrl" alt="Sakai logo" class="mb-5 w-6rem flex-shrink-0"/>
      <div
          style="border-radius: 56px; padding: 0.3rem; background: linear-gradient(180deg, var(--primary-color) 10%, rgba(33, 150, 243, 0) 30%)">
        <div class="w-full surface-card py-8 px-5 sm:px-8" style="border-radius: 53px">
          <div class="text-center mb-5">
            <img src="/demo/images/login/avatar.png" alt="Image" height="50" class="mb-3"/>
            <div class="text-900 text-3xl font-medium mb-3">Welcome, Isabel!</div>
            <span class="text-600 font-medium">Sign in to continue</span>
          </div>

          <div>
            <label for="email1" class="block text-900 text-xl font-medium mb-2">Email</label>
            <InputText id="email1" type="text" placeholder="Email address" class="w-full md:w-30rem mb-5"
                       style="padding: 1rem" v-model="username"/>

            <label for="password1" class="block text-900 font-medium text-xl mb-2">Password</label>
            <Password id="password1" v-model="password" placeholder="Password" :toggleMask="true" class="w-full mb-3"
                      inputClass="w-full" inputStyle="padding:1rem"></Password>

            <div class="flex align-items-center justify-content-between mb-5 gap-5">
              <div class="flex align-items-center">
              </div>
              <a class="font-medium no-underline ml-2 text-right cursor-pointer" style="color: var(--primary-color)">Forgot
                password?</a>
            </div>
            <Button @click="onLogin" label="Sign In" class="w-full p-3 text-xl"></Button>

            <div class="flex align-items-center justify-content-between mt-5 gap-5">
              <div class="flex align-items-center">
                No tengo una cuenta,
                <router-link :to="{'name': 'register'}"
                             class="font-medium no-underline ml-2 text-right cursor-pointer"
                             style="color: var(--primary-color)">
                  Registrarme
                </router-link>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<style scoped>
.pi-eye {
  transform: scale(1.6);
  margin-right: 1rem;
}

.pi-eye-slash {
  transform: scale(1.6);
  margin-right: 1rem;
}
</style>
